package com.tencent.mm.plugin.story.ui;

import a.f.b.j;
import a.l;
import android.view.View;
import android.view.View.OnClickListener;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.kernel.e;
import com.tencent.mm.kernel.g;
import com.tencent.mm.storage.ac.a;

@l(dWo = {1, 1, 13}, dWp = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, dWq = {"<anonymous>", "", "it", "Landroid/view/View;", "kotlin.jvm.PlatformType", "onClick"})
final class StorySettingsUI$k implements OnClickListener {
    public static final StorySettingsUI$k sfj = new StorySettingsUI$k();

    static {
        AppMethodBeat.i(110058);
        AppMethodBeat.o(110058);
    }

    StorySettingsUI$k() {
    }

    public final void onClick(View view) {
        AppMethodBeat.i(110057);
        e RP = g.RP();
        j.o(RP, "MMKernel.storage()");
        RP.Ry().set(a.xWD, Boolean.FALSE);
        AppMethodBeat.o(110057);
    }
}
